Bug 289571 - nspluginwrapper plugins do not work with Firefox
nspluginwrapper plugins do not work with Firefox
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: nspluginwrapper (Show other bugs)
rawhide
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-13 13:47 EDT by Peter Kovář
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-17 09:30:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Kovář 2007-09-13 13:47:54 EDT
Description of problem:
32-bit plugins are listed in about:plugins but they are not working at all.
But in the original package 0.9.91.5 released by Gwenolé Beauchesne there are
created following files and plug-ins are working, although Flash video playback
is pathetic.

/usr/lib64/mozilla/plugins/npwrapper.libflashplayer.so
/usr/lib64/mozilla/plugins/npwrapper.nphelix.so
/usr/lib64/mozilla/plugins/npwrapper.nppdf.so

Version-Release number of selected component (if applicable):
nspluginwrapper-0.9.91.5-2.fc8
flash-plugin-9.0.60.184-release
RealPlayer-10.0.9.809-20070726
AdobeReader_enu-7.0.9-1
firefox-2.0.0.6-8.fc8

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
rpm -iv /usr/src/redhat/RPMS/x86_64/nspluginwrapper-0.9.91.5-1.x86_64.rpm
Preparing packages for installation...
nspluginwrapper-0.9.91.5-1
Auto-install plugins from /usr/lib/mozilla/plugins
Looking for plugins in /usr/lib/mozilla/plugins
Install plugin /usr/lib/mozilla/plugins/libflashplayer.so
  into /usr/lib64/mozilla/plugins/npwrapper.libflashplayer.so
Install plugin /usr/lib/mozilla/plugins/nphelix.so
  into /usr/lib64/mozilla/plugins/npwrapper.nphelix.so
Install plugin /usr/lib/mozilla/plugins/nppdf.so
  into /usr/lib64/mozilla/plugins/npwrapper.nppdf.so

Additional info:
Indeed, I know this retrocomputing stuff with closed source plug-ins is hard to
debug.
Comment 1 Martin Stransky 2007-09-15 05:58:08 EDT
Please attach output of:

ls -l /usr/lib/mozilla/plugins
ls -l /usr/lib/mozilla/plugins-wrapped

ls -l /usr/lib64/mozilla/plugins
ls -l /usr/lib64/mozilla/plugins-wrapped

rpm -qa | grep nspluginwrapper

(when you have installed the Fedora nspluginwrapper package, of course ;-))
Comment 2 Peter Kovář 2007-09-17 04:03:24 EDT
€ ls -l /usr/lib/mozilla/plugins
total 1108
lrwxrwxrwx 1 root root      39 Sep 12 16:11 libflashplayer.so ->
/usr/lib/flash-plugin/libflashplayer.so
lrwxrwxrwx 1 root root      56 Aug 30 16:00 libjavaplugin_nscp.so ->
../../../java/jre1.6.0_02/lib/i386/libjavaplugin_nscp.so
lrwxrwxrwx 1 root root      44 Aug 23 21:34 nphelix.so ->
../../../local/RealPlayer/mozilla/nphelix.so
lrwxrwxrwx 1 root root      45 Aug 23 21:34 nphelix.xpt ->
../../../local/RealPlayer/mozilla/nphelix.xpt
-rwxr-xr-x 1 root root 1127564 Sep 14 21:01 nppdf.so

€ ls -l /usr/lib/mozilla/plugins-wrapped
ls: cannot access /usr/lib/mozilla/plugins-wrapped: No such file or directory

€ ls -l /usr/lib64/mozilla/plugins
total 440
lrwxrwxrwx 1 root root    41 Sep 11 18:38 libjavaplugin.so ->
/etc/alternatives/libjavaplugin.so.x86_64
-rwxr-xr-x 1 root root 62888 Aug 23 16:55 libtotem-basic-plugin.so
-rw-r--r-- 1 root root   191 Aug 23 16:55 libtotem-basic-plugin.xpt
-rwxr-xr-x 1 root root 93448 Aug 23 16:55 libtotem-complex-plugin.so
-rw-r--r-- 1 root root  3251 Aug 23 16:55 libtotem-complex-plugin.xpt
-rwxr-xr-x 1 root root 94712 Aug 23 16:55 libtotem-gmp-plugin.so
-rw-r--r-- 1 root root  4504 Aug 23 16:55 libtotem-gmp-plugin.xpt
-rwxr-xr-x 1 root root 58536 Aug 23 16:55 libtotem-mully-plugin.so
-rw-r--r-- 1 root root   191 Aug 23 16:55 libtotem-mully-plugin.xpt
-rwxr-xr-x 1 root root 82496 Aug 23 16:55 libtotem-narrowspace-plugin.so
-rw-r--r-- 1 root root  2235 Aug 23 16:55 libtotem-narrowspace-plugin.xpt

€ ls -l /usr/lib64/mozilla/plugins-wrapped 
total 0
lrwxrwxrwx 1 root root 43 Sep 17 09:40 libjavaplugin.so ->
/usr/lib64/mozilla/plugins/libjavaplugin.so
lrwxrwxrwx 1 root root 51 Sep 17 09:40 libtotem-basic-plugin.so ->
/usr/lib64/mozilla/plugins/libtotem-basic-plugin.so
lrwxrwxrwx 1 root root 52 Sep 17 09:40 libtotem-basic-plugin.xpt ->
/usr/lib64/mozilla/plugins/libtotem-basic-plugin.xpt
lrwxrwxrwx 1 root root 53 Sep 17 09:40 libtotem-complex-plugin.so ->
/usr/lib64/mozilla/plugins/libtotem-complex-plugin.so
lrwxrwxrwx 1 root root 54 Sep 17 09:40 libtotem-complex-plugin.xpt ->
/usr/lib64/mozilla/plugins/libtotem-complex-plugin.xpt
lrwxrwxrwx 1 root root 49 Sep 17 09:40 libtotem-gmp-plugin.so ->
/usr/lib64/mozilla/plugins/libtotem-gmp-plugin.so
lrwxrwxrwx 1 root root 50 Sep 17 09:40 libtotem-gmp-plugin.xpt ->
/usr/lib64/mozilla/plugins/libtotem-gmp-plugin.xpt
lrwxrwxrwx 1 root root 51 Sep 17 09:40 libtotem-mully-plugin.so ->
/usr/lib64/mozilla/plugins/libtotem-mully-plugin.so
lrwxrwxrwx 1 root root 52 Sep 17 09:40 libtotem-mully-plugin.xpt ->
/usr/lib64/mozilla/plugins/libtotem-mully-plugin.xpt
lrwxrwxrwx 1 root root 57 Sep 17 09:40 libtotem-narrowspace-plugin.so ->
/usr/lib64/mozilla/plugins/libtotem-narrowspace-plugin.so
lrwxrwxrwx 1 root root 58 Sep 17 09:40 libtotem-narrowspace-plugin.xpt ->
/usr/lib64/mozilla/plugins/libtotem-narrowspace-plugin.xpt
lrwxrwxrwx 1 root root 39 Sep 17 09:40 npwrapper.so ->
/usr/lib64/nspluginwrapper/npwrapper.so

€ rpm -qa | grep nspluginwrapper
nspluginwrapper-0.9.91.5-2.fc8

Post Scriptum:
AdobeReader_enu-8.1.1-1 is installed instead of AdobeReader_enu-7.0.9-1, however 
nppdf.so is causing segmentation fault during Mozilla Firefox start. Already
reported to Gwenolé.
Comment 3 Martin Stransky 2007-09-17 05:36:49 EDT
please install i386 version of nspluginwrapper (you need it for wrapping i386
plugins)
Comment 4 Peter Kovář 2007-09-17 09:30:01 EDT
Díky Martine.

Note You need to log in before you can comment on or make changes to this bug.